Bug 51570 - NULL pointer in mod_dumpio.c
Summary: NULL pointer in mod_dumpio.c
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dumpio (show other bugs)
Version: 2.2.19
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2011-07-27 19:22 UTC by Maksymilian
Modified: 2011-09-19 16:28 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maksymilian 2011-07-27 19:22:40 UTC
modules/debug/mod_dumpio.c

        char *obuf;
        if (apr_bucket_read(b, &buf, &nbytes, APR_BLOCK_READ) == APR_SUCCESS) {
            if (nbytes) {
                obuf = malloc(nbytes+1);    /* use pool? */
                memcpy(obuf, buf, nbytes);
Comment 1 Stefan Fritsch 2011-09-18 09:18:29 UTC
the code changed in r750126
Comment 2 Stefan Fritsch 2011-09-19 16:28:17 UTC
not important enough to be backported, closing